org.artoolkitx.arx.arxj.camera

## Enum CameraPreferencesActivity.ASPECT_RATIO

- java.lang.Object
- - java.lang.Enum<CameraPreferencesActivity.ASPECT_RATIO>
  - - org.artoolkitx.arx.arxj.camera.CameraPreferencesActivity.ASPECT_RATIO

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CameraPreferencesActivity.ASPECT_RATIO>
  Enclosing class:
    CameraPreferencesActivity

      public static enum CameraPreferencesActivity.ASPECT_RATIO
      extends java.lang.Enum<CameraPreferencesActivity.ASPECT_RATIO>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `_1_1`
    `_11_9`
    `_14_9`
    `_16_9`
    `_17_9`
    `_3_2`
    `_4_3`
    `_5_3`
    `_5_4`
    `_8_5`
    `_9_5`
    `_SQRROOT2_1`
    `_UNIQUE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CameraPreferencesActivity.ASPECT_RATIO` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CameraPreferencesActivity.ASPECT_RATIO[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### _1_1

          public static final CameraPreferencesActivity.ASPECT_RATIO _1_1

    - #### _11_9

          public static final CameraPreferencesActivity.ASPECT_RATIO _11_9

    - #### _5_4

          public static final CameraPreferencesActivity.ASPECT_RATIO _5_4

    - #### _4_3

          public static final CameraPreferencesActivity.ASPECT_RATIO _4_3

    - #### _SQRROOT2_1

          public static final CameraPreferencesActivity.ASPECT_RATIO _SQRROOT2_1

    - #### _3_2

          public static final CameraPreferencesActivity.ASPECT_RATIO _3_2

    - #### _14_9

          public static final CameraPreferencesActivity.ASPECT_RATIO _14_9

    - #### _8_5

          public static final CameraPreferencesActivity.ASPECT_RATIO _8_5

    - #### _5_3

          public static final CameraPreferencesActivity.ASPECT_RATIO _5_3

    - #### _16_9

          public static final CameraPreferencesActivity.ASPECT_RATIO _16_9

    - #### _9_5

          public static final CameraPreferencesActivity.ASPECT_RATIO _9_5

    - #### _17_9

          public static final CameraPreferencesActivity.ASPECT_RATIO _17_9

    - #### _UNIQUE

          public static final CameraPreferencesActivity.ASPECT_RATIO _UNIQUE

  - ### Method Detail

    - #### values

          public static CameraPreferencesActivity.ASPECT_RATIO[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CameraPreferencesActivity.ASPECT_RATIO c : CameraPreferencesActivity.ASPECT_RATIO.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CameraPreferencesActivity.ASPECT_RATIO valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null